Summary:        Shared memory 'SyncFence' synchronization primitive
Name:           libxshmfence
Version:        1.3.2
Release:        3%{?dist}
License:        MIT
URL:            https://www.x.org/
Source0:        https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.gz

BuildRequires:  make autoconf automake libtool
BuildRequires:  xorg-x11-util-macros pkgconfig(xproto)

%description
This library offers a CPU-based synchronization primitive
compatible with the X SyncFence objects that can be shared
between processes using file descriptor passing.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package includes header files, libraries necessary
for developing programs which use libxshmfence library.

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{_libdir}/libxshmfence.so.1*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/xshmfence.pc
%{_libdir}/*.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-2
- Rebuilt for loongarch release

* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 1.3.2-1
- Upgrade to version 1.3.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 12 2022 ZoeDong <zoedong@tencent.com> - 1.3-1
- Initial build

